%define freettf %_x11libdir/X11/fonts/freefont-ttf
Name: freefont-ttf
Version: 0.021011
Release: alt1

Summary: Free unicode True Type fonts based on URW/Valek fonts
License: GPL
Group: System/Fonts/True type
Url: http://savanah.nognu.org/freefont
BuildArch: noarch

Source0: http://savanah.nognu.org/download/freefont/freefont-ttf.tar.gz

PreReq: chkfontpath freetype fontconfig perl-base

%description
A set of  Free unicode True Type fonts based on URW/Valek fonts

%prep
%setup -q -n%name 

%install
mkdir -p $RPM_BUILD_ROOT%freettf
install -p -m644 \
	*.ttf  \
	$RPM_BUILD_ROOT%freettf

cd $RPM_BUILD_ROOT%freettf
%_sbindir/ttmkfdir -f freefont -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache %freettf
/usr/sbin/chkfontpath -q --add %freettf
if [ -x /usr/bin/gnome-font-install ]; then
  perl %{_datadir}/fonts/run-gnome-font-install \
	%{_bindir}/gnome-font-install %{_datadir} %{_datadir} > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi  

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %freettf
fi

%files
%freettf/*.ttf
%config %freettf/fonts.cache-1
%config %freettf/fonts.dir
%config %freettf/encodings.dir
%doc AUTHORS README ChangeLog

%changelog
* Wed Oct 16 2002 AEN <aen@altlinux.ru> 0.021011-alt1
- new package in Sisyphus

